org.gjt.sp.jedit

## Interface OptionPane

All Known Implementing Classes:
  AbbrevsOptionPane, AbstractContextOptionPane, AbstractOptionPane, AppearanceOptionPane, BrowserColorsOptionPane, BrowserContextOptionPane, BrowserOptionPane, BufferOptionPane, ContextOptionPane, DockingOptionPane, EditingOptionPane, EncodingsOptionPane, FirewallOptionPane, GeneralOptionPane, GutterOptionPane, MouseOptionPane, OptionGroupPane, PluginManagerOptionPane, PluginOptionGroup.NoPluginsPane, PluginOptions.NoPluginsPane, PrintOptionPane, SaveBackupOptionPane, ShortcutsOptionPane, StatusBarOptionPane, SyntaxHiliteOptionPane, TextAreaOptionPane, ToolBarOptionPane, ViewOptionPane

    public interface OptionPane

The interface all option panes must implement.

See `EditPlugin` for information on how jEdit obtains and constructs option pane instances.

Note that in most cases it is much easier to extend `AbstractOptionPane` instead.

### Method Summary

Methods
`java.awt.Component` `getComponent()` Returns the component that should be displayed for this option pane.
`java.lang.String` `getName()` Returns the internal name of this option pane.
`void` `init()` This method is called every time the option pane is displayed.
`void` `save()` Called when the options dialog's "ok" button is clicked.

### Method Detail

#### getName

    java.lang.String getName()

Returns the internal name of this option pane. The option pane's label is set to the value of the property named `options.name.label`.

See Also:
  `jEdit.getProperty(String)`

#### getComponent

    java.awt.Component getComponent()

Returns the component that should be displayed for this option pane.

#### init

    void init()

This method is called every time the option pane is displayed.

#### save

    void save()

Called when the options dialog's "ok" button is clicked. This should save any properties being edited in this option pane.